package com.jscape.inet.scp.protocol.messages;

import static com.jscape.util.Parameters.assertNotNull;

/**
 * Fatal error message.
 *
 * @author Alex Usun
 */
public class FatalErrorMessage
        extends Message {

    public final String message;

    /**
     * Creates a new message instance.
     *
     * @param message error message
     */
    public FatalErrorMessage(String message) {
        assertNotNull(message);
        this.message = message;
    }

    @Override
    public String toString() {
        return "FatalErrorMessage {"
                + "message='" + this.message + '\''
                + '}';
    }

}
